# Совместимость

# Версия Unity

Минимальная поддерживаемая версия Unity – 2019.4; это не изменится на протяжении всех релизов Naninovel v1.х. Поддержка новых релизов от TECH stream добавится, как только они выйдут из бета-версии.

Рекомендуется оставаться на последнем 2019 LTS stream для минимизации производственных рисков.

# Платформы

Все функции движка реализованы с использованием кросс-платформенных API и, как ожидается, будут совместимы со всеми платформами, на которые рассчитана Unity.

На совместимость были протестированы следующие платформы:

  • Standalone: PC, Mac, Linux
  • WebGL
  • iOS
  • Android
  • UWP (только для бэкенда скриптов IL2CPP)

# Каналы рендера

Скриптуемые каналы рендера Unity (как URP, так и HDRP) поддерживаются с некоторыми ограничениями и требуют дополнительной настройки; дополнительную информацию смотрите в руководстве по каналам рендера.

# Управляемое удаление

Профили "Medium" и "High" управляемого удаления байт-кода не поддерживаются. Либо отключите удаление, либо используйте "Low" профиль (установленный по умолчанию).

Обновлено: September 29, 2020